[@algorandfoundation/algokit-utils](../README.md) / [types/app-arc56](../modules/types_app_arc56.md) / StorageMap

# Interface: StorageMap

[types/app-arc56](../modules/types_app_arc56.md).StorageMap

Describes a mapping of key-value pairs in storage

## Table of contents

### Properties

- [desc](types_app_arc56.StorageMap.md#desc)
- [keyType](types_app_arc56.StorageMap.md#keytype)
- [prefix](types_app_arc56.StorageMap.md#prefix)
- [valueType](types_app_arc56.StorageMap.md#valuetype)

## Properties

### desc

• `Optional` **desc**: `string`

Description of what the key-value pairs in this mapping hold

#### Defined in

[src/types/app-arc56.ts:477](https://github.com/algorandfoundation/algokit-utils-ts/blob/main/src/types/app-arc56.ts#L477)

___

### keyType

• **keyType**: `string`

The type of the keys in the map

#### Defined in

[src/types/app-arc56.ts:479](https://github.com/algorandfoundation/algokit-utils-ts/blob/main/src/types/app-arc56.ts#L479)

___

### prefix

• `Optional` **prefix**: `string`

The base64-encoded prefix of the map keys

#### Defined in

[src/types/app-arc56.ts:483](https://github.com/algorandfoundation/algokit-utils-ts/blob/main/src/types/app-arc56.ts#L483)

___

### valueType

• **valueType**: `string`

The type of the values in the map

#### Defined in

[src/types/app-arc56.ts:481](https://github.com/algorandfoundation/algokit-utils-ts/blob/main/src/types/app-arc56.ts#L481)
